- Home
- Cyrus IMAP
- Download
- Contribute

# Cyrus SASL

# sasl_erasebuffer - erase buffer

## Synopsis

    #include <sasl/saslutil.h>

    void sasl_erasebuffer(char *pass, unsigned len);

## Description

void sasl_erasebuffer(char *pass, unsigned len);

  sasl_erasebuffer erases a security sensitive buffer or password. The implementation may use recovery‐resistant erase logic.

  Parameters

    - pass – a password

    - len – length of the password

## Return Value

The sasl_erasebuffer() interface returns no return values.